<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>IEEE-CS Club Resources</title>

    <!-- FavIcon Stuff -->
    <link rel="apple-touch-icon" sizes="180x180" href="/apple-touch-icon.png?v=5AeGYGb4Lo">
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png?v=5AeGYGb4Lo">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png?v=5AeGYGb4Lo">
    <link rel="manifest" href="/site.webmanifest?v=5AeGYGb4Lo">
    <link rel="mask-icon" href="/safari-pinned-tab.svg?v=5AeGYGb4Lo" color="#5bbad5">
    <link rel="shortcut icon" href="/favicon.ico?v=5AeGYGb4Lo">
    <meta name="msapplication-TileColor" content="#2b5797">
    <meta name="theme-color" content="#ffffff">

    <!-- Bootstrap core CSS -->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link href="css/bootsnip.css" rel='stylesheet'>
    <!-- Custom fonts for this template -->
    <link href="vendor/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <link href='https://fonts.googleapis.com/css?family=Lora:400,700,400italic,700italic' rel='stylesheet' type='text/css'>
    <link href='https://fonts.googleapis.com/css?family=Open+Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800'
      rel='stylesheet' type='text/css'>
    <!-- Custom styles for this template -->
    <link href="css/clean-blog.min.css" rel="stylesheet">
    <!-- Bootstrap core JavaScript -->
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
      crossorigin="anonymous"></script>
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- Custom scripts for this template -->
    <script src="js/clean-blog.min.js"></script>
    <script src="js/bootsnip.js"></script>
  </head>

  <body>
    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
      <div class="container">
        <a class="navbar-brand" href="index.html">IEEE-CS at UWM</a>
        <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse" data-target="#navbarResponsive"
          aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
          Menu
          <i class="fa fa-bars"></i>
        </button>
        <div class="collapse navbar-collapse" id="navbarResponsive">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
              <a class="nav-link nonactive-page" href="index.html">Home</a>
            </li>
            <li class="nav-item">
              <a class="nav-link nonactive-page" href="about.html">About</a>
            </li>
            <li class="nav-item">
              <a class="nav-link nonactive-page" href="events.html">Events</a>
            </li>
            <li class="nav-item">
              <a class="nav-link nonactive-page" href="contact.html">Contact</a>
            </li>
            <li class="nav-item">
              <a class="nav-link active-page" href="#">Resources</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
    <!-- Page Header -->
    <header class="masthead" style="background-image: url('img/resources-header.jpg')">
      <div class="overlay"></div>
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-md-10 mx-auto">
            <div class="post-heading">
              <h1>CLUB RESOURCES</h1>
              <span class="subheading">Resources for club members</span>
            </div>
          </div>
        </div>
      </div>
    </header>
    <!-- Post Content -->
    <article>

      <div class="container">
        <div class="row">
          <div class="col-lg-6 col-md-8 mx-auto">
            <h2 class="section-heading">Servers</h2>
            <p>All our servers require a ssh public key to log in. Here are some guides:</p>
            <ul>
              <li>
                <a href="https://www.digitalocean.com/community/tutorials/how-to-use-ssh-keys-with-putty-on-digitalocean-droplets-windows-users">
                  How To Use SSH Keys with PuTTY on DigitalOcean Droplets (Windows users)
                </a>
              </li>
              <li>
                <a href="https://www.digitalocean.com/community/tutorials/how-to-configure-ssh-key-based-authentication-on-a-linux-server">
                  How To Configure SSH Key-Based Authentication on a Linux Server
                </a>
                (applies to Mac as well)
              </li>
              <li><a href="https://kb.iu.edu/d/aews">Set up SSH public-key authentication to connect to a remote system</a> (More details; for Windows, Mac, Linux)</li>
            </ul>
          </div>
          <div class="col-lg-6 col-md-8 mx-auto">
            <h2 class="section-heading">uwmcomputer</h2>
            <p>
              Address: <code>uwmcomputer.club</code>. This server runs on Amazon Web Servers EC2 free tier. It runs Caddy in Docker to serve this website.
              Access is limited to administrative tasks only. SSH is served on port 13337.
            </p>
            <br>
            <p>This server's ssh host key fingerprints are as follows, verify it on initial login:</p>
            <ul class="nav nav-tabs" id="s1Tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="s1-sha256-tab" data-toggle="tab" href="#s1-sha256"
                  role="tab" aria-controls="s1-sha256" aria-selected="true">
                  SHA256
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="s1-md5-tab" data-toggle="tab" href="#s1-md5"
                  role="tab" aria-controls="s1-md5" aria-selected="false">
                  MD5 (PuTTY & old SSH)
                </a>
            </ul>
            <div class="tab-content" id="s1TabContent">
              <div class="tab-pane fade show active" id="s1-sha256" aria-labelledby="s1-sha256-tab">
                <pre>
2048 SHA256:3nvPAiSTDWoLZKnOyurH7TWeUMNw3jAfSW3397tup+w [uwmcomputer.club]:13337 (RSA)
256 SHA256:K8CJlZ+bVJ+5BK3k+4+gLZBf3XanAFSbguWs4v9FB+g [uwmcomputer.club]:13337 (ECDSA)
256 SHA256:WUPCdFuueFUAOg3At2flbwxxqOjNpvKd0KwS1d56GHM [uwmcomputer.club]:13337 (ED25519)
                </pre>
              </div>
              <div class="tab-pane fade" id="s1-md5" aria-labelledby="s1-md5-tab">
                <pre>
2048 MD5:16:48:f3:e3:aa:78:47:cb:7f:c6:eb:04:92:5d:27:4a [uwmcomputer.club]:13337 (RSA)
256 MD5:b2:4c:19:9f:75:45:5e:29:06:cd:5d:b7:33:b5:c3:2c [uwmcomputer.club]:13337 (ECDSA)
256 MD5:c8:eb:c3:2e:cf:d6:23:3b:ff:a1:b9:28:67:10:f2:02 [uwmcomputer.club]:13337 (ED25519)
                </pre>
              </div>
            </div>
          </div>
          <div class="col-lg-6 col-md-8 mx-auto">
            <h2 class="section-heading">members</h2>
            <p>
              Address: <code>members.uwmcomputer.club</code>.
              This server is available to members to learn more about the Linux commandline and solve the labyrinth challenges.
              Request access <a href="https://goo.gl/forms/8V7Yjx9nylOKo9cB2">here.</a> SSH is served on port 13337.
            </p>
            <br>
            <p>It is currently hosted by Winston Weinert on a residental connection.</p>
            <br>
            <p>This server's ssh host key fingerprints are as follows, verify them on initial login:</p>
            <ul class="nav nav-tabs" id="s2Tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="s2-sha256-tab" data-toggle="tab" href="#s2-sha256"
                  role="tab" aria-controls="s2-sha256" aria-selected="true">
                  SHA256
                </a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="s2-md5-tab" data-toggle="tab" href="#s2-md5"
                  role="tab" aria-controls="s2-md5" aria-selected="false">
                  MD5 (PuTTY & old SSH)
                </a>
            </ul>
            <div class="tab-content" id="s2TabContent">
              <div class="tab-pane fade show active" id="s2-sha256" aria-labelledby="s2-sha256-tab">
                <pre>
2048 SHA256:Hi+ACvV4bVSEocjBwEkpKOk3DwegO11w0xs5QcWXHOA [members.uwmcomputer.club]:13337 (RSA)
256 SHA256:r9xFdGYnrMgCm5nhKT3orlIUJx8GVZOAaqtlqe0SCEA [members.uwmcomputer.club]:13337 (ECDSA)
256 SHA256:/SpBeqZQH7ShaGUtN9OCAJxmm4kmRFOCDpkDNFM8f78 [members.uwmcomputer.club]:13337 (ED25519)
                </pre>
              </div>
              <div class="tab-pane fade" id="s2-md5" aria-labelledby="s2-md5-tab">
                <pre>
2048 MD5:47:c4:41:74:dc:a1:6f:c0:a3:a9:84:83:25:5a:c0:9b [members.uwmcomputer.club]:13337 (RSA)
256 MD5:4b:fb:5c:a4:13:54:f0:11:5f:68:4a:80:9c:e3:1e:ba [members.uwmcomputer.club]:13337 (ECDSA)
256 MD5:8c:99:83:06:cf:ef:8a:71:48:5c:6e:9f:6c:3e:e0:dc [members.uwmcomputer.club]:13337 (ED25519)
                </pre>
              </div>
            </div>
            <pre>
            </pre>
          </div>
        </div>

      </div>
    </article>
    <hr>
    <!-- Footer -->
    <footer>
      <div class="container">
        <div class="row">
          <div class="col-lg-8 col-md-10 mx-auto">
            <ul class="list-inline text-center">
              <li class="list-inline-item">
                <a href="https://twitter.com/CompSocAtUWM" target="_blank">
                  <span class="fa-stack fa-lg">
                    <i class="fa fa-circle fa-stack-2x"></i>
                    <i class="fa fa-twitter fa-stack-1x fa-inverse"></i>
                  </span>
                </a>
              </li>
              <li class="list-inline-item">
                <a href="https://ieeecsatuwm.slack.com/messages/C0A4G517S/" target="_blank">
                  <span class="fa-stack fa-lg">
                    <i class="fa fa-circle fa-stack-2x"></i>
                    <i class="fa fa-slack fa-stack-1x fa-inverse"></i>
                  </span>
                </a>
              </li>
              <li class="list-inline-item">
                <a href="https://www.facebook.com/CompSocAtUWM/" target="_blank">
                  <span class="fa-stack fa-lg">
                    <i class="fa fa-circle fa-stack-2x"></i>
                    <i class="fa fa-facebook fa-stack-1x fa-inverse"></i>
                  </span>
                </a>
              </li>
              <li class="list-inline-item">
                <a href="https://gitlab.com/uwmcomputersociety/uwmcomputer.club/" target="_blank">
                  <span class="fa-stack fa-lg">
                    <i class="fa fa-circle fa-stack-2x"></i>
                    <i class="fa fa-gitlab fa-stack-1x fa-inverse"></i>
                  </span>
                </a>
              </li>
            </ul>
            <br/>
            <p class="copyright text-muted">Copyright &copy; IEEE-CS at UWM 2018
          </div>
        </div>
      </div>
    </footer>
  </body>

</html>
